FRAGMASTER(1)

NOME
fragmaster - Usando construções psfrag com o pdflatex

SINOPSE
 fragmaster [opções]

 Cria ficheiros EPS e PDF com substituições psfrag embebidas.

 Options:
  -h,--help          Guia breve de utilização.
  -m,--man           Mostra o manual completo (precisa do perldoc)
  --clean            Limpa ficheiros $basename.{eps,pdf} auto-gerados.
  --debug            Mostra mais informação e deixa para trás ficheiros
                     temporários.
  --force            Reconstrói tudo ignorando os tempos de modificação.
  --dirfm=file       Usa o ficheiro fornecido como ficheiro de controle
                     fm do fragmaster por directório em vez do predefinido
                     "fragmaster.dfm".

DESCRIÇÃO
fragmaster é um script perl que ajuda a usar construções psfrag com pdflatex.

psfrag is a LaTeX package which allows one to replace text elements in included EPS graphics by arbitrary LaTeX output. Because psfrag uses PostScript for making the replacements, in principle you can't use psfrag with pdflatex which doesn't have any interfaces to PostScript.

fragmaster produz um novo EPS a partir do seu EPS original que já contém todas as substituições psfrag. Este novo gráfico EPS pode mesmo ser convertido para PDF incluindo todas as substituições. O PDF "encapsulado" resultante pode então ser usado com o pdflatex.

fragmaster irá sondar o directório actual por ficheiros que terminem em _fm e têm uma parte _fm.eps. Observando as datas de modificação, o script verifica se os ficheiros resultantes têm de ser re-construídos e fá-lo se necessário (um pouco como o "make" faria).

Você pode incluir os gráficos produzidos no seu documento LaTeX usando

 \includegraphics{<gráficos>}

omitindo convenientemente a extensão do ficheiro. latex irá escolher o EPS. pdflatex irá escolher o PDF.

  Ficheiro de control do fragmaster e outros ficheiros relacionados.
Para usar o script você tem de criar dois ficheiros por cada gráfico:

    * <graphics>_fm.eps: o próprio ficheiro EPS,
    * <graphics>_fm: um ficheiro de controle do fragmaster.

A partir desses ficheiros serão criados os gráficos psfrag:

    * <graphics>.eps,
    * <graphics>.pdf

O ficheiro de controle _fm é basicamente um ficheiro LaTeX (com comentários especiais opcionais) e pode-se parecer com isto:

 % Apenas um comentário normal
 %
 % Alguns comentários especiais:
 % fmclass: book
 % fmclassopt: 11pt
 % fmopt: width=6cm
 %
 % Outro comentário especial:
 % head:
 % \usepackage{amsmath}
 % end head

 % comandos do psfrag:
 \psfrag{x}{$x$}
 \psfrag{y}{$y = x^2$}

O comentário especial "fmclass:" irá fazer o script usar a classe fornecida em vez da classe predefinida "article".

O comentário especial "fmclassopt:" irá fazer o script usar as opções fornecidas como opções de classe em vez da predefinição "12pt".

O comentário especial "fmopt:" irá ser avaliado de modo a que o texto que o segue será passado como argumento opcional para "\includegraphics". Deste modo você pode, por exemplo, ajustar a relação entre o tamanho dos gráficos e o tamanho da letra usando algo como "fmopt: width=6cm". Não há nenhuma predefinição global para isto.

A construção do comentário especial "head:/end head" faz com que as linhas no meio sejam incluídas no prefácio do documento temporário LaTeX após ter os caracteres iniciais do comentário "%" removidos. Deste modo você pode incluir pacotes LaTeX, como em "\usepackage{amsmath}". Não há nenhuma predefinição global para isto.

  Ficheiro de controle dir do fragmaster por directório.
você pode definir "fmclass:", "fmclassopt:", "fmopt:" por directório e opções "head:/end head" por meio de um ficheiro de controle de fragmaster por directório fragmaster.dfm com sintaxe semelhante como em cima. Você pode usar outro ficheiro por meio da opção --dirfm. Note que as opções definidas desta maneira são mutuamente exclusivas, qualquer opção definida ficheiro _fm por ficheiro irá sobrepor completamente a opção associada em ficheiro por directório, e as opções definidas por ficheiro por directório irão sobrepor as predefinições iniciais ("\documentclass[12pt]{article}"). As opções vazias são ignoradas.

Isto ainda é trabalho em progresso e ainda precisa de verificação extensiva. Certifique-se que as recompilações baseadas na data de modificação estão a funcionar correctamente.

PROBLEMAS CONHECIDOS
No caso do EPS ser produzido como gráficos de paisagem, isto é, gv mostra Landscape em vez de Portrait na barra de menu, e o gráfico irá acabar rodado cerca de 90 graus no seu documento, então é provável que o seu EPS original tenha mais largura do que altura. Neste caso algumas versões (mais recentes) do dvips fazem a suposição "inteligente" que o seu gráfico é paisagem, mesmo que as proporções do gráfico nada digam acerca da orientação do seu conteúdo... Isto ainda pode acontecer no caso do seu EPS fornecido corresponda a um tamanho standard de papel.

De qualquer modo, você pode fazer o dvips comportar-se melhor ao especificar a seguinte linha em /usr/share/texmf/dvips/config/config.pdf (ou equivalente local dentro de /usr/local/share/texmf):

@ custom 0pt 0pt

No caso provável de você estar a imaginar porquê, eu recomendaria calorosamente as fontes dvipsk para si...

AUTORES
Tilman Vogel <tilman vogel web de> (dot at dot) and Agustin Martin <agustin6martin gmail com> (at dot)

HISTÓRIA
Este script foi inspirado por uma mensagem publicada por Karsten Roemke <k roemke gmx de> (ponto at ponto) com assunto "psfrag pdflatex, lange her" em de.comp.text.tex em 2003-11-11 05:25:44 PST.

Karsten Roemke foi inspirado para este solução por mensagens publicadas por Thomas Wimmer.

COPYRIGHT
 Copyright (C) 2004 Tilman Vogel
 Copyright (C) 2011-2023 Agustin Martin

Este programa é software livre, você pode redistribuí-lo e/ou modificá-lo sob os termos da GNU General Public License como publicada pela Free Software Foundation; na versão 2 da licença, ou (por sua opção) qualquer versão posterior.